package io.renren.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 人员餐补信息对象 consume_people_day
 *
 * @author dcsoft
 * @date 2024-09-20
 */
public class ConsumePeopleDay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 工号 */
    private String empId;

    /** 帐号 */
    private String accountId;

    private String accountName;

    /** 餐补时段（1早上2中餐3晚餐） */
    private String consumeInterval;

    /** 补贴类型（1正常，2加班） */
    private String type;

    /** 餐补时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date consumeTime;

    private String isConsume;

    private String canteen;

    private String guid;

    private Long reportId;

    private Date leaveTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEmpId(String empId)
    {
        this.empId = empId;
    }

    public String getEmpId()
    {
        return empId;
    }
    public void setAccountId(String accountId)
    {
        this.accountId = accountId;
    }

    public String getAccountId()
    {
        return accountId;
    }
    public void setConsumeInterval(String consumeInterval)
    {
        this.consumeInterval = consumeInterval;
    }

    public String getConsumeInterval()
    {
        return consumeInterval;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setConsumeTime(Date consumeTime)
    {
        this.consumeTime = consumeTime;
    }

    public Date getConsumeTime()
    {
        return consumeTime;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getIsConsume() {
        return isConsume;
    }

    public void setIsConsume(String isConsume) {
        this.isConsume = isConsume;
    }

    public String getCanteen() {
        return canteen;
    }

    public void setCanteen(String canteen) {
        this.canteen = canteen;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public Long getReportId() {
        return reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }

    public Date getLeaveTime() {
        return leaveTime;
    }

    public void setLeaveTime(Date leaveTime) {
        this.leaveTime = leaveTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("empId", getEmpId())
            .append("accountId", getAccountId())
            .append("consumeInterval", getConsumeInterval())
            .append("type", getType())
            .append("consumeTime", getConsumeTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
